import { Wtbl, Wtc, Wtr } from '../../model/document';
import { TableExpander, CellFragment } from '../../utils/expand';
import { SubRenderer } from '../../view/TableCell';
export declare class TableInfoProvider {
    private wtbl;
    private tableExpander;
    constructor(wtbl: Wtbl, tableExpander: TableExpander);
    getRows(): {
        id: string;
        expandFromId: string;
        cells: CellFragment[];
    }[];
    getCellContent(cell: any): any[];
    getRowModelRef(row: any): {
        id: string;
    };
    getWtr(row: any): Wtr;
    getWtc(cell: any): Wtc;
    getCellModelRef(cell: any): {
        id: string;
    };
    getCellSubRenderer(cell: CellFragment): SubRenderer | undefined;
}
